For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Order
      • GETGet Shipment Logs
      • POSTMark Tracking Uploaded
      • GETGet All Shipments for Order
      • GETGet Order Store Data
      • POSTEstimate Fulfillment Cost For Order
      • GETGet Orders
      • POSTCreate Order
      • POSTCancel Shipment
      • POSTCancel Shipment by Order ID and Shipment ID
      • GETGet Shipping Methods
      • POSTCancel Order
      • GETGet Shipment Logs by Order ID and Shipment ID
      • GETGet Shipment Status Timeline by Order ID and Shipment ID
      • GETGet Shipment Timeline
      • GETGet Shipment
      • POSTBatch Cancel Shipments
      • GETGet Shipment by Order ID and Shipment ID
      • PUTBulk Update Shipping Service
      • POSTUpdate Shipment Line Items
      • PUTUpdate Shipment Address
      • GETGet Shipment Line Items
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Get Completely Cancelled Orders

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/order/cancelled
GET
/2026-01/order/cancelled
$curl -G https://sandbox-api.shipbob.com/2026-01/order/cancelled \
> -H "Authorization: Bearer <token>" \
> -d Page=1 \
> -d Limit=50 \
> -d IsTrackingUploaded=true
1[
2 {
3 "id": 0,
4 "order_number": "string",
5 "shipment_ids": [
6 0
7 ]
8 }
9]
Retrieve the IDs of orders and their associated shipments that have been fully cancelled, meaning all shipments within the order are in a cancelled state.
Was this page helpful?
Previous

Get Shipment Line Items

Next

Set ExternalSync flag for Wros

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

PageintegerOptional1-2147483647
Page of orders to get
LimitintegerOptional1-250
Amount of orders per page to request
IsTrackingUploadedbooleanOptional

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated

Response

Success
idlong
Unique id of the order
order_numberstring

User-friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used

shipment_idslist of longs
Shipments Ids affiliated with the order

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error